Summary: ISO-8859-2 fonts for X11
Name: ISO-8859-2-X11-fonts
Version: 970301biznet
Release: 5
Source: http://www.biz.net.pl/images/ISO8859-2-bdf.tar.gz
Copyright: MIT
Vendor: BIZNET Poland, Inc.
URL: http://www.biz.net.pl
Packager: Peter Soos <sp@osb.hu>
Group: X11/fonts
BuildRoot: /var/tmp/ISO-8859-2-X11-fonts-root

%changelog

* Mon Jun 22 1998 Peter Soos <sp@osb.hu> 1.0-5

I were asked to move the stuff to /usr/X11R6/lib/X11/fonts/ISO-8859-2.

* Sun Apr 19 1998 Peter Soos <sp@osb.hu> 1.0-4

Corrected dependencies of the package.

* Fri Dec 09 1997 Peter Soos <sp@osb.hu> 1.0-3

Some cosmetic changes in spec file. Now we use BuildRoot.

# We assume to use the XFree86. If no, you have to do some configuration
# by hand. Sorry. Contributions are welcome.
%define xconffile /etc/X11/XF86Config
%define xfontdir /usr/X11R6/lib/X11/fonts/ISO-8859-2

%description
This package contains ISO-8859 fonts for X11 from BIZNET Poland, Inc. - only needs on server side.
The BIZNET ISO 8859-2 (Central European) X Window System Fonts have been derived from the original ISO 8859-1 fonts included in the X Window System, Version 11, Release 6.3 distribution (X11R6.3).

%package basic
Summary: ISO-8859-2 X11 basic fonts - only need on server side
Group: X11/fonts
Prereq: /usr/bin/awk, /bin/grep, /usr/bin/uniq, /bin/cat, /bin/sed
%ifnarch sparc
Requires: XFree86 >= 3.3
%endif

%description basic
This package contains the basic ISO-8859-2 fonts for an X workstation.
The BIZNET ISO 8859-2 (Central European) X Window System Fonts have been derived from the original ISO 8859-1 fonts included in the X Window System, Version 11, Release 6.3 distribution (X11R6.3).

%package 75dpi
Summary: ISO-8859-2 X11 75dpi fonts - only need on server side
Group: X11/fonts
Prereq: /usr/bin/awk, /bin/grep, /usr/bin/uniq, /bin/cat, /bin/sed
%ifnarch sparc
Requires: XFree86 >= 3.3
%endif

%description 75dpi
The 75dpi fonts used on most Linux systems. Users with high resolution displays may prefer the 100dpi fonts available in a separate package.
The BIZNET ISO 8859-2 (Central European) X Window System Fonts have been derived from the original ISO 8859-1 fonts included in the X Window System, Version 11, Release 6.3 distribution (X11R6.3).

%package 100dpi
Summary: ISO-8859-2 X11 100dpi fonts - only need on server side
Group: X11/fonts
Prereq: /usr/bin/awk, /bin/grep, /usr/bin/uniq, /bin/cat, /bin/sed
%ifnarch sparc
Requires: XFree86 >= 3.3
%endif

%description 100dpi
The 100dpi fonts for users with high resolution displays.
The BIZNET ISO 8859-2 (Central European) X Window System Fonts have been derived from the original ISO 8859-1 fonts included in the X Window System, Version 11, Release 6.3 distribution (X11R6.3).

%prep
%setup -c

%build

for DIR in 100dpi 75dpi misc
do
	for FILE in $DIR/*.bdf
	do
	        DESTFILE=$DIR/`basename $FILE .bdf`.pcf
	        bdftopcf $FILE -o $DESTFILE
	done
%ifarch sparc
		compress $DIR/*.pcf
%else
	        gzip -9 $DIR/*.pcf
%endif
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%xfontdir/75dpi
mkdir -p $RPM_BUILD_ROOT/%xfontdir/misc
mkdir -p $RPM_BUILD_ROOT/%xfontdir/100dpi
install -m 644 100dpi/*.pcf.* $RPM_BUILD_ROOT/%xfontdir/100dpi
install -m 644 75dpi/*.pcf.* $RPM_BUILD_ROOT/%xfontdir/75dpi
install -m 644 misc/*.pcf.* $RPM_BUILD_ROOT/%xfontdir/misc
install -m 644 75dpi/fonts.alias $RPM_BUILD_ROOT/%xfontdir/75dpi/fonts.alias.biznet
install -m 644 100dpi/fonts.alias $RPM_BUILD_ROOT/%xfontdir/100dpi/fonts.alias.biznet
install -m 644 misc/fonts.alias $RPM_BUILD_ROOT/%xfontdir/misc/fonts.alias.biznet

%post 75dpi
if [ -e %xconffile ] ; then
	# removing the old biznet entries
	sed -e "/\/biznet\/75dpi/d
/\/ISO-8859-2\/75dpi/d" %xconffile > %xconffile.work
	# adding the new entries
	awk '{if ($1=="Section" && $2=="\"Files\"") {INFILES=1}; if ($1=="EndSection" && INFILES==1) {print "    FontPath   \"%xfontdir/75dpi:unscaled\"\n    FontPath   \"%xfontdir/75dpi\""; INFILES=0}; print $0}' %xconffile.work > %xconffile
	rm -f %xconffile.work
fi
aliasfile=%xfontdir/75dpi/fonts.alias
if [ -e $aliasfile ]; then
	mv -f $aliasfile $aliasfile.work
fi
cat $aliasfile.biznet >> $aliasfile.work
uniq $aliasfile.work > $aliasfile
rm -f $aliasfile.work
mkfontdir %xfontdir/75dpi

%post 100dpi
if [ -e %xconffile ] ; then
	# removing the old biznet entries
	sed -e "/\/biznet\/100dpi/d
/\/ISO-8859-2\/100dpi/d" %xconffile > %xconffile.work
	# adding the new entries
	awk '{if ($1=="Section" && $2=="\"Files\"") {INFILES=1}; if ($1=="EndSection" && INFILES==1) {print "    FontPath   \"%xfontdir/100dpi:unscaled\"\n    FontPath   \"%xfontdir/100dpi\""; INFILES=0}; print $0}' %xconffile.work > %xconffile
	rm -f %xconffile.work
fi
aliasfile=%xfontdir/100dpi/fonts.alias
if [ -e $aliasfile ]; then
	mv -f $aliasfile $aliasfile.work
fi
cat $aliasfile.biznet >> $aliasfile.work
uniq $aliasfile.work > $aliasfile
rm -f $aliasfile.work
mkfontdir %xfontdir/100dpi

%post basic 
if [ -e %xconffile ] ; then
	# removing the old biznet and ISO-8859-2 entries
	sed -e "/\/biznet\/misc/d
/\/ISO-8859-2\/misc/d" %xconffile > %xconffile.work
	# adding the new entries
	awk '{if ($1=="Section" && $2=="\"Files\"") {INFILES=1}; if ($1=="EndSection" && INFILES==1) {print "    FontPath   \"%xfontdir/misc:unscaled\"\n    FontPath   \"%xfontdir/misc\""; INFILES=0}; print $0}' %xconffile.work > %xconffile
	rm -f %xconffile.work
fi
aliasfile=%xfontdir/misc/fonts.alias
if [ -e $aliasfile ]; then
	mv -f $aliasfile $aliasfile.work
fi
cat $aliasfile.biznet >> $aliasfile.work
uniq $aliasfile.work > $aliasfile
rm -f $aliasfile.work
mkfontdir %xfontdir/misc


%postun 75dpi
aliasfile=%xfontdir/75dpi/fonts.alias
if [ -e $aliasfile ]; then
	mv $aliasfile $aliasfile.old
	grep -ve "-biznet-" $aliasfile.old > $aliasfile
	rm -f $aliasfile.old
fi
mkfontdir %xfontdir/75dpi

%postun 100dpi
aliasfile=%xfontdir/100dpi/fonts.alias
if [ -e $aliasfile ]; then
	mv $aliasfile $aliasfile.old
	grep -ve "-biznet-" $aliasfile.old > $aliasfile
	rm -f $aliasfile.old
fi
mkfontdir %xfontdir/100dpi

%postun basic
aliasfile=%xfontdir/misc/fonts.alias
if [ -e $aliasfile ]; then
	mv $aliasfile $aliasfile.old
	grep -ve "-biznet-" $aliasfile.old > $aliasfile
	rm -f $aliasfile.old
fi
mkfontdir %xfontdir/misc

%clean
rm -rf $RPM_BUILD_ROOT

%files 75dpi
%attr(-, root,root) %doc RELEASE_NOTES.*
%attr(-, root,root) %xfontdir/75dpi

%files 100dpi
%attr(-, root,root) %doc RELEASE_NOTES.*
%attr(-, root,root) %xfontdir/100dpi

%files basic
%attr(-, root,root) %doc RELEASE_NOTES.*
%attr(-, root,root) %xfontdir/misc
